# Uncomment the next line to define a global platform for your project
# platform :ios, '11.0'

target 'wallpaper_project' do
  # Comment the next line if you don't want to use dynamic frameworks
  use_frameworks!
  
  # Pods for wallpaper_project
  pod 'SnapKit'
  #pod 'AFNetworking'
  pod 'SDWebImage'
  pod 'IQKeyboardManagerSwift'
  pod 'BRPickerView'
  pod 'Alamofire'
  pod 'FSPagerView'
  pod 'SVProgressHUD'
  pod 'CYLTabBarController'
  pod 'GYSide'
  pod 'JXSegmentedView'
  pod 'MJExtension'
  pod 'MJRefresh'
  pod 'FLAnimatedImage'
  pod 'lottie-ios'
  pod 'AppLovinSDK'
  pod 'AppLovinDSPLinkedInAdapter'
  pod 'AppLovinMediationVungleAdapter'
  pod 'AppLovinMediationByteDanceAdapter'
  
  pod 'Firebase/Core'
  pod 'Firebase/AnalyticsWithoutAdIdSupport'
  pod 'FirebaseRemoteConfig'
  
  pod 'MintegralAdSDK/BidNativeAd'
  pod 'MintegralAdSDK/BidNewInterstitialAd'
  
  #  pod "Facebook-iOS-SDK"
  pod 'FBSDKCoreKit'
  pod 'FBSDKLoginKit'
  pod 'FBSDKShareKit'
  
  post_install do |installer|
    installer.generated_projects.each do |project|
      project.targets.each do |target|
        target.build_configurations.each do |config|
          config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '12.0'
        end
      end
    end
  end
end
